#include "testcommand.h"

testCommand::testCommand()
{

}
testCommand::~testCommand()
{

}
void testCommand::testCommandHelpStr()
{
    qDebug()<<"-----Welcome to the help interface-----      "<<endl
            <<"     ukui-input-test --help                  "<<endl
            <<"     ukui-input-test --connectServer         "<<endl
            <<"     ukui-input-test --debug-events          ";

}
void testCommand::testCommandConnectServer()
{
    qDebug()<<"begin connect server..."<<endl;


}
void testCommand::testCommanDebugEvents()
{
//    qDebug()<<"debug-events...."<<endl;
//    UKUIInputGatherClient inputGatherClient;
//    inputGatherClient.setEventCallBack(testCommand::getEvent2());
//    inputGatherClient.startToReceiveEvent();

}

//void testCommand::getEvent2(Event *event)

